# DefinitionsPath

Property in [Project](/api/csharp/yarn.compiler/yarn.compiler.project.md)

{% hint style="warning" %}
This property is obsolete and may be removed from a future version of Yarn Spinner: Use DefinitionsFilesPattern.
{% endhint %}

## Summary

Gets the path to the Definitions file, relative to this project's location.

```csharp
public string? DefinitionsPath { get; }
```

## See Also

* [Project.DefinitionsFiles](/api/csharp/yarn.compiler/yarn.compiler.project/yarn.compiler.project.definitionsfiles.md): Gets the absolute paths to the project's Definitions files.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.compiler/yarn.compiler.project/yarn.compiler.project.definitionspath.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
